#include "Movie.h"
#include "ChildrenPrice.h"
#include "NewReleasePrice.h"
#include "RegularPrice.h"

Movie::Movie(const std::string &title, int priceCode)
        : title(title) {
    setPriceCode(priceCode);
}

void Movie::setPriceCode(int arg) {
    switch (arg) {
        case CHILDRENS:
            price = new ChildrenPrice();
            break;
        case NEW_RELEASE:
            price = new NewReleasePrice();
            break;
        case REGULAR:
            price = new RegularPrice();
            break;
    }
}

std::string Movie::getTitle() const {
    return title;
}

int Movie::getPriceCode() const {
    return price->getPriceCode();
}
