#include "Customer.h"

Rental::Rental(const Movie &movie, int daysRented)
        : movie(movie), daysRented(daysRented) {}

const Movie &Rental::getMovie() const {
    return movie;
}

double Rental::getCharge() const {
    double result = 0;
    switch (movie.getPriceCode()) {
        case Movie::REGULAR:
            result += 2;
            if (daysRented > 2)
                result += (daysRented - 2) * 1.5;
            break;
        case Movie::NEW_RELEASE:
            result += daysRented * 3;
            break;
        case Movie::CHILDRENS:
            result += 1.5;
            if (daysRented > 3) {
                result += (daysRented - 3) * 1.5;
            }
            break;
    }
    return result;
}

int Rental::getFrequentRenterPoints() const {
    // add bonus for a two day new release rental
    if ((movie.getPriceCode() == Movie::NEW_RELEASE)
        && daysRented > 1)
        return 2;
    else
        return 1;
}